var $ = document.getElementById.bind(document);

function nahOdDo(iod, ido) {
 	return Math.floor(Math.random() * (ido - iod + 1)) + iod;
}

var kolecko = function(id, prumer) {
	this.idKolecka = id;
	this.domEl = $(this.idKolecka);
	this.prumer = prumer;
	this.polomer = this.prumer / 2;
}
kolecko.prototype._zobraz = function() {
	this.domEl.style.display = "inline-block";
}
kolecko.prototype._skryj = function() {
	this.domEl.style.display = "none";
}
kolecko.prototype._napozicuj = function(x, y) {
	this.domEl.style.top = (y - this.polomer).toString() + "px";
	this.domEl.style.left = (x - this.polomer).toString() + "px";
}
kolecko.prototype._napozicujNahodne = function() {
	var x = nahOdDo(this.polomer, document.body.scrollWidth - this.polomer);
	var y = nahOdDo(this.polomer, document.body.scrollHeight - this.polomer);

	this._napozicuj(x, y);
}
kolecko.prototype.zmerReakci = function(callback) {
	var self = this;

	this._skryj();
	this._napozicujNahodne();

	var start;
	this.domEl.onclick = function() {
		var stop = new Date().getTime();
		this.onclick = null;
		self._skryj();

		callback(stop - start);
	}
	start = new Date().getTime();
	this._zobraz();
}

var graf = function(id) {
	this.idGrafu = id;
	this.domEl = $(this.idGrafu);
}
graf.prototype._vyberSloupec = function(i) {
	return this.domEl.getElementsByClassName("graf_sloupec")[i];
}
graf.prototype._nastavVyskuSloupci = function(i, v) {
	this._vyberSloupec(i).style.height = v.toString() + "%";
}
graf.prototype.nastavHodnoty = function(hodnoty) {
	console.log(hodnoty);
	var self = this;

	var vyberMax = function(hodnoty) {
		var max = 0;
		for(var i = 0; i < hodnoty.length; i++) {
			if(hodnoty[i] > max) max = hodnoty[i];
		}
		return max;
	}
	var procent100 = vyberMax(hodnoty);
	var procento = procent100 / 100;
	for(var i = 0; i < hodnoty.length; i++) {
		var pocetProcent = hodnoty[i] / procento;
		self._nastavVyskuSloupci(i, pocetProcent);
	}
}

var Kolecko = new kolecko("kolecko", 100);
var Graf = new graf("graf");

var pocitadlo = [0, 0, 0, 0, 0]

function casNaZnamku(cas) {
	if(cas <= 500) return 1;
	else if(cas <= 1000) return 2;
	else if(cas <= 1500) return 3;
	else if(cas <= 2000) return 4;
	else return 5;
}
function zmerReakciAZapisVysledky(callback) {
	window.setTimeout(function() {
		Kolecko.zmerReakci(function(cas) {
			var znamka = casNaZnamku(cas);

			pocitadlo[znamka - 1]++;
			
			$("vl_posledniCas").innerHTML = (Math.round(cas * 10) / 10000).toString() + "s";
			$("vl_posledniZnamka").innerHTML = znamka;

			Graf.nastavHodnoty(pocitadlo);

			zmerReakciAZapisVysledky();
		});
	}, nahOdDo(0, 5000));
}

zmerReakciAZapisVysledky();

$("graf").style.height = (document.body.scrollHeight / 2).toString() + "px";